Package com.google.gwt.user.client.rpc

## Class IncompatibleRemoteServiceException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.google.gwt.user.client.rpc.IncompatibleRemoteServiceException

- All Implemented Interfaces:
    `IsSerializable`, `java.io.Serializable`

      public final class IncompatibleRemoteServiceException
      extends java.lang.RuntimeException
      implements IsSerializable

  Exception that will be passed to the `AsyncCallback.onFailure(Throwable)` method when an incompatibility is detected between a `RemoteService` client and its corresponding `RemoteService` server.

  The correct response to receiving an instance of this exception in the `AsyncCallback.onFailure(Throwable)` method is to get the application into a state where a browser refresh can be done.

  This exception can be caused by the following problems:

  - The requested `RemoteService` cannot be located via `Class.forName(String)` on the server.
  - The requested `RemoteService` interface is not implemented by the `RemoteServiceServlet` instance which is configured to process the request.
  - The requested service method is not defined or inherited by the requested `RemoteService` interface.
  - One of the types used in the `RemoteService` method invocation has had fields added or removed.
  - The client code receives a type from the server which it cannot deserialize.

  Note that on the client, the `Throwable.getCause()` always return `null`.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IncompatibleRemoteServiceException()` | Constructor used by RPC serialization.
    `IncompatibleRemoteServiceException​(java.lang.String msg)` | Constructs an instance with the specified message.
    `IncompatibleRemoteServiceException​(java.lang.String msg, java.lang.Throwable cause)` | Constructs an instance with the specified message and cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IncompatibleRemoteServiceException

          public IncompatibleRemoteServiceException()

      Constructor used by RPC serialization. Note that the client-side code will always get a generic error message.

    - #### IncompatibleRemoteServiceException

          public IncompatibleRemoteServiceException​(java.lang.String msg)

      Constructs an instance with the specified message.

    - #### IncompatibleRemoteServiceException

          public IncompatibleRemoteServiceException​(java.lang.String msg,
                                                    java.lang.Throwable cause)

      Constructs an instance with the specified message and cause.